Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - openfx-io

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: openfx-io 2.2.3-1

Git Clone URL: https://aur-dev.archlinux.org/openfx-io.git (read-only)
Package Base: openfx-io
Description: A set of Readers/Writers plugins written using the OpenFX standard
Upstream URL: https://github.com/MrKepzie/openfx-io
Licenses: GPL2
Submitter: s0r00t
Maintainer: s0r00t (z3ntu)
Last Packager: z3ntu
Votes: 10
Popularity: 2.569757
First Submitted: 2016-08-21 17:54
Last Updated: 2017-02-04 00:08

Latest Comments

ArnaudNux commented on 2016-11-26 13:46

../IOSupport/GenericWriter.cpp: In function 'void OFX::IO::interleavePixelBuffersForDepth(OFX::ImageEffect*, const OfxRectI&, const PIX*, const OfxRectI&, OFX::PixelComponentEnum, int, int, int, OFX::BitDepthEnum, int, const OfxRectI&, OFX::PixelComponentEnum, int, int, int, PIX*)':
../IOSupport/GenericWriter.cpp:1439:10: warning: 'template<class> class std::auto_ptr' is deprecated [-Wdeprecated-declarations]
std::auto_ptr<InterleaveProcessorBase> p;
^~~~~~~~
In file included from /usr/include/c++/6.2.1/memory:81:0,
from ../IOSupport/GenericWriter.h:27,
from ../IOSupport/GenericWriter.cpp:24:
/usr/include/c++/6.2.1/bits/unique_ptr.h:49:28: note: declared here
template<typename> class auto_ptr;
^~~~~~~~
g++ -c -O2 -DNDEBUG -D_FORTIFY_SOURCE=2 -I../openfx/Support/../include -I../openfx/Support/include -I../openfx/Support/Plugins/include -m64 -fPIC -fvisibility=hidden -DOFX_EXTENSIONS_VEGAS -DOFX_EXTENSIONS_NUKE -DOFX_EXTENSIONS_TUTTLE -DOFX_EXTENSIONS_NATRON -I../IOSupport -I../SupportExt -I../SupportExt/glad -I../EXR -I../FFmpeg -I../OIIO -I../PFM -I../OCIO -I../SeExpr -I../PNG -I../RunScript `pkg-config --cflags OpenEXR` `pkg-config --cflags libavformat libavcodec libswscale libavutil` -DOFX_IO_MT_FFMPEG -I/usr/include -I/usr/include `pkg-config --cflags OpenColorIO` -DOFX_IO_USING_OCIO -DOFX_SUPPORTS_OPENGLRENDER `libpng-config --cflags` ../IOSupport/SequenceParsing/SequenceParsing.cpp -o Linux-64-release/SequenceParsing.o
../IOSupport/SequenceParsing/SequenceParsing.cpp:43:29: fatal error: tinydir/tinydir.h: No such file or directory
#include "tinydir/tinydir.h"
^
compilation terminated.
make[1]: *** [../openfx/Support/Plugins/Makefile.master:71: Linux-64-release/SequenceParsing.o] Error 1
make[1]: Leaving directory '/home/arnaud/tempo/yaourt-tmp-arnaud/aur-openfx-io/src/openfx-io/IO'
make: *** [Makefile:22: IO] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build openfx-io.
==> Restart building openfx-io ? [y/N]

HashFall commented on 2016-11-21 14:29

Same error occurred as reported by @sergey.orloff:

../IOSupport/SequenceParsing/SequenceParsing.cpp:43:29: fatal error: tinydir/tinydir.h: Arquivo ou diretório não encontrado
#include "tinydir/tinydir.h"
^
compilation terminated.
make[1]: *** [../openfx/Support/Plugins/Makefile.master:71: Linux-64-release/SequenceParsing.o] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-hashfall/aur-openfx-io/src/openfx-io/IO'
make: *** [Makefile:22: IO] Error 2

sergey.orloff commented on 2016-11-21 06:40

When assembling openfx-io 2.1.8 occurred following failure:

../IOSupport/SequenceParsing/SequenceParsing.cpp:43:29: фатальная ошибка: tinydir/tinydir.h: Нет такого файла или каталога
#include "tinydir/tinydir.h"
^
компиляция прервана.
make[1]: *** [../openfx/Support/Plugins/Makefile.master:71: Linux-64-release/SequenceParsing.o] Ошибка 1
make[1]: выход из каталога «/build/openfx-io/src/openfx-io/IO»
make: *** [Makefile:22: IO] Ошибка 2
==> ОШИБКА: Произошел сбой в build().
Прерывание...

nicepack commented on 2016-11-16 20:14

For 2.1.7

Please update pkgversion


Comment gcc6.patch (you don't need this patch anymore)

s0r00t commented on 2016-10-17 18:58

I see you've reported the different packages as out-of-date; however I am currently very busy and I can't immediatly update the PKGBUILDs.

Does the PKGBUILDs work with the new versions?

z3ntu commented on 2016-10-13 14:58

Update diff for 2.1.5: https://gist.github.com/z3ntu/81df1083809b13a9159d2d9942e23e93#file-openfx-io-pkgbuild

s0r00t commented on 2016-08-29 15:30

Thanks for the report. Although pkgrel wasn't incremented, the new PKGBUILD does add git as a makedepend for all 3 packages.

MarcinWieczorek commented on 2016-08-28 20:10

git dependency is missing (make)